API referenceSandbox
Simulate a payment event
Sandbox only. Drives a payment link to paid, failed, or expired and queues the matching webhook.
Sandbox only. Drives a payment link to paid, failed, or expired and queues the matching webhook.
Authorization
secretKey AuthorizationBearer <token>
Sandbox try-it accepts sk_test_… only.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/sandbox/simulate" \ -H "Content-Type: application/json" \ -d '{ "payment_link_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "event": "paid" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference_id": "string", "url": "http://example.com", "status": "pending", "amount": 0, "fee": { "total": 0, "transaction": 0, "instant_settlement": 0, "paid_by": "me" }, "payer_amount": 0, "net_amount": 0, "title": "string", "note": "string", "payment_method": "string", "settlement_account_id": "d050fea4-5b02-490d-8c34-3ec6e6f56121", "expires_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z", "settle_at": "2019-08-24T14:15:22Z", "settled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" }, "meta": { "request_id": "string" }}